Update
curl --request PUT \
--url https://{appId}.api-{region}.cometchat.io/v3/roles/{role} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"name": "",
"description": "",
"metadata": {
"email": "admin@yourcompany.com"
},
"unset": [],
"settings": []
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/roles/{role}"
payload = {
"name": "",
"description": "",
"metadata": { "email": "admin@yourcompany.com" },
"unset": [],
"settings": []
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '',
description: '',
metadata: {email: 'admin@yourcompany.com'},
unset: [],
settings: []
})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/roles/{role}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"role": "manager",
"name": "manager",
"description": "This role gives an update access",
"metadata": {
"email": "managers@gmail.com"
},
"settings": {
"listUsers": "all",
"sendMessagesTo": "friendsOnly"
},
"createdAt": 1638343994
}
}User Roles
Update
Updates a given role.
PUT
/
roles
/
{role}
Update
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Path Parameters
A role to update.
Body
application/json
Friendly name of the role.
Description of the role.
Additional information about the role.
The unsettable role attributes are settings, description and metadata.
Group attributes that can be unset.
Available options:
settings, description, metadata Role settings that is used for restricting list users/send message. Possible values for listUsers & sendMessagesTo are all and friendsOnly
Response
200 - application/json
Updated Role
Was this page helpful?
⌘I